Subject: Re: turn off "LF will be replaced by CRLF" thingy

From: "Zorba" <[email-masked]>
Date: Mon, 29 Dec 2008 15:55:37 -0000

OK, lets be brave and see if I can work this out:

Tutorial says:

"The git configuration file contains a number of variables that affect the 
git command's behavior. .git/config file for each repository is used to 
store the information for that repository, and $HOME/.gitconfig is used to 
store per user information to give fallback values for .git/config file. The 
file /etc/gitconfig can be used to store system-wide defaults."

.git/config
======
[core]
 repositoryformatversion = 0
 filemode = false
 bare = false
 logallrefupdates = true
 symlinks = false
 ignorecase = true

$ echo $HOME
gives:
c\docs and settings\<my name>

$HOME\.gitconfig
=============
[gui]
 recentrepo = C:/Documents and Settings/conorr/Desktop/TEMP
 recentrepo = C:/Documents and Settings/conorr/Desktop/TEMP/swproj
[user]
 email = [email-masked]
 name = Conor Rafferty

/etc/gitconfig  (under Git installation)
===============================
[core]
 symlinks = false
 autocrlf = true
[color]
 diff = auto
[pack]
 packSizeLimit = 2g
[help]
 format = html

Then tuturial -> the two settings are
core.autocrlf
and
core.safecrlf

So I should set the autocrlf=false in the etc/config file I'm guessing?
lets try that

"Zorba" <[email-masked]> wrote in message 
news:[email-masked]...
> Dear All,
>
> I was just in the process of creating our first live version on git (5k+ 
> files), when I noticed this in the output of
>
> $ git add .
>
> being "Warning: LF will be replaced by CRLF in <filename>"
> about 500 times !!
>
> I'd rather not let git change any files, many of which are PHP that run on 
> Apache
> I think I remember reading that this is a config option that gets swithced 
> on by default on windows (which we are running git on)
>
> how do I switch it off ?
>
> thanks
>
>